%def_without profiling
%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name flow2dot
%define f_pkg_name flow2dot
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %f_pkg_name
Version: 0.8
Release: alt1

Summary: Generates sequence diagrams from textual descriptions
License: BSD3
Group: Development/Haskell

Url: http://adept.linux.kiev.ua/repos/flow2dot
Source: %name-%version.tar
Packager: Michael Shigorin <mike@altlinux.org>

BuildRequires: ghc %hs_package_dependencies utf8-string parsec QuickCheck mtl >= 1.0
BuildRequires(pre): rpm-build-haskell

%if_with profiling
BuildRequires: ghc-prof
#BuildRequires: %hs_package_dependencies parsec-prof ...
%endif

%description
Generates sequence diagrams from textual descriptions with help
of Graphviz graph drawing tool.

Check out <http://adept.linux.kiev.ua/repos/flow2dot/sample.flow> (source)
and <http://adept.linux.kiev.ua/repos/flow2dot/sample.png> (output).

%if_with profiling
%package -n %hsc_namever-%f_pkg_name-prof
Summary: Profiling libraries for %hsc_namever-%f_pkg_name
Group: Development/Libraries
Requires: %hsc_namever-%f_pkg_name = %version

%description -n %hsc_namever-%f_pkg_name-prof
Generates sequence diagrams from textual descriptions with help
of Graphviz graph drawing tool.

This package contains profiling libraries for %hsc_name %hsc_version.
%endif

%prep
%setup -n %h_pkg_name-%version

%build
if [ -f configure.ac -a ! -f configure ]; then autoreconf; fi
%hs_setup \
	%hs_configure \
		--prefix=%_prefix \
		--libdir=%_libdir \
		--docdir=%_docdir/%hsc_namever-%f_pkg_name-%version \
		--libsubdir='$compiler/lib/$pkgid' \
%if_with profiling
		--enable-library-profiling \
%else
		--disable-library-profiling \
%endif
		--ghc
%hs_setup build

%install
%hs_setup copy --destdir=%buildroot
install -pDm755 flow2dot-fix-dot-lost-edges \
	%buildroot%_bindir/flow2dot-fix-dot-lost-edges

%files
%_bindir/*
%doc LICENSE README sample.*

# TODO:
# - package as module too

%changelog
* Wed Apr 13 2011 Denis Smirnov <mithraen@altlinux.ru> 0.8-alt1
- 0.8

* Thu Apr 07 2011 Denis Smirnov <mithraen@altlinux.ru> 0.7-alt2
- fix build with ghc 7.0

* Sun Nov 01 2009 Michael Shigorin <mike@altlinux.org> 0.7-alt1
- 0.7

* Sat Oct 31 2009 Michael Shigorin <mike@altlinux.org> 0.6.1-alt2
- disabled profiling by default (thanks avm@ for a hint, silly me)

* Fri Oct 30 2009 Michael Shigorin <mike@altlinux.org> 0.6.1-alt1
- 0.6.1

* Tue Nov 25 2008 Michael Shigorin <mike@altlinux.org> 0.3-alt2
- rebuild against recent ghc

* Sat Feb 16 2008 Michael Shigorin <mike@altlinux.org> 0.3-alt1
- 0.3:
  + quote entity names for graphviz
- spec cleanup
- updated buildrequires

* Wed Feb 13 2008 Michael Shigorin <mike@altlinux.org> 0.2.1-alt0.20080213
- built for ALT Linux
- thanks Alexey V. Myltsev (avm@), see also #14412

* Wed Feb 13 2008 cabal-rpm <cabal-devel@haskell.org> 0.2.1-alt0.20080213
- spec file autogenerated by cabal-rpm
